Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.parameter
Class InvalidParameterNameException

    Object
      Throwable
          Exception
              RuntimeException
                  IllegalArgumentException
                      InvalidParameterNameException

All Implemented Interfaces:
  Serializable

    @UML(identifier="GC_InvalidParameterName",
         specification=ISO_19111)
    public class InvalidParameterNameException

extends IllegalArgumentException

Thrown when an unexpected parameter was found in a parameter group.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  Serialized Form

Constructor Summary
`InvalidParameterNameException(String message, String parameterName)` Creates an exception with the specified message and parameter name.

Method Summary
`String` | `getParameterName()` Returns the invalid parameter name.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterNameException

    public InvalidParameterNameException(String message,
                                         String parameterName)

  Creates an exception with the specified message and parameter name.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The invalid parameter name.

Method Detail

### getParameterName

    public String getParameterName()

  Returns the invalid parameter name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.